summaryrefslogtreecommitdiff
path: root/sys/arch/hp300/stand/installboot
diff options
context:
space:
mode:
Diffstat (limited to 'sys/arch/hp300/stand/installboot')
-rw-r--r--sys/arch/hp300/stand/installboot/Makefile10
-rw-r--r--sys/arch/hp300/stand/installboot/installboot.sh27
2 files changed, 37 insertions, 0 deletions
diff --git a/sys/arch/hp300/stand/installboot/Makefile b/sys/arch/hp300/stand/installboot/Makefile
new file mode 100644
index 00000000000..d271daa3a0e
--- /dev/null
+++ b/sys/arch/hp300/stand/installboot/Makefile
@@ -0,0 +1,10 @@
+# $OpenBSD: Makefile,v 1.1 1997/07/14 08:14:42 downsj Exp $
+# $NetBSD: Makefile,v 1.1 1997/02/04 03:52:59 thorpej Exp $
+
+NOMAN=
+
+beforeinstall:
+ ${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} \
+ ${.CURDIR}/installboot.sh ${DESTDIR}${BINDIR}/installboot
+
+.include <bsd.prog.mk>
diff --git a/sys/arch/hp300/stand/installboot/installboot.sh b/sys/arch/hp300/stand/installboot/installboot.sh
new file mode 100644
index 00000000000..d3e5e39b3c1
--- /dev/null
+++ b/sys/arch/hp300/stand/installboot/installboot.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# $OpenBSD: installboot.sh,v 1.1 1997/07/14 08:14:42 downsj Exp $
+# $NetBSD: installboot.sh,v 1.2 1994/10/26 07:27:26 cgd Exp $
+
+# compatibility with old installboot program
+#
+# @(#)installboot.sh 8.1 (Berkeley) 6/10/93
+#
+if [ $# != 2 ]
+then
+ echo "Usage: installboot bootprog device"
+ exit 1
+fi
+if [ ! -f $1 ]
+then
+ echo "Usage: installboot bootprog device"
+ echo "${1}: bootprog must be a regular file"
+ exit 1
+fi
+if [ ! -c $2 ]
+then
+ echo "Usage: installboot bootprog device"
+ echo "${2}: device must be a char special file"
+ exit 1
+fi
+/sbin/disklabel -B -b $1 $2
+exit $?